package no.ntnu.cerebrum.medulla.reservoir;

import no.ntnu.cerebrum.medulla.config.Config;
import no.ntnu.cerebrum.medulla.reservoir.interfaces.Reservoir;

import java.util.Arrays;

/**
 * Created 2017-02-16.
 * <p>
 * cerebrum-medulla is licenced under the MIT licence.
 */
public class PassThroughReservoir implements Reservoir {
    @Override
    public double[] fireSignal(double[] input) {
        return Arrays.copyOf(input, Config.getInt("smcgp.outputs"));
    }

    @Override
    public void reset() {
        // NO-OP
    }
}
