package no.ntnu.cerebrum.medulla.smcgp.graph.action.selfmodifying;

import no.ntnu.cerebrum.medulla.smcgp.graph.action.SMFunction;

public class SMchp extends SMFunction {

    @Override
    public Object doSMFunction(double[][] graph, double[] activatedNode, int position) {
        // parameter to change P1 mod 3
        int parameterToChange = Math.abs(getParameter(activatedNode, 1)) % 3;

        // Node to change P0
        int nodeIndex = inBounds(getParameter(activatedNode, 0), graph.length);

        // change parameter to P2
        double[] node = graph[nodeIndex];
        node[parameterToChange + 3] = getParameter(activatedNode, 2);
        graph[nodeIndex] = node;

        return graph;
    }
}
