package no.ntnu.cerebrum.medulla.smcgp.utility;

import org.nd4j.linalg.api.rng.Random;
import org.nd4j.linalg.factory.Nd4j;

public class NumberGenerator {

    private static Random random = random = Nd4j.getRandom();
    private static final Long randomSeed = 1242353L;

    public static int generateRandomInt(int lowerInclusive, int upperInclusive) {
        return random.nextInt(upperInclusive - lowerInclusive + 1) + lowerInclusive;
    }

    public static double generateRandomDouble(double lowerInclusive, double upperInclusive) {
        return random.nextDouble() * (upperInclusive - lowerInclusive) + lowerInclusive;
    }

    public static double generateRandomDouble() {
        return random.nextDouble();
    }

}
