package no.ntnu.cerebrum.medulla.smcgp.evolution;

/**
 * Created 2017-05-05.
 * <p>
 * cerebrum-medulla is licenced under the MIT licence.
 */
public interface EvolutionListener {
    void fitnessEvaluationComplete(double fitness, int numIterations, KillReason status);

    enum KillReason {
        ATTRACTOR_LENGTH,
        CONVERGED,
        FEW_STATES_OR_STABLE,
        INPUT_OR_SM,
        INPUT_PERCENTAGE,
        NONE,
        SPECTRUM_HARMONICS,
        TIMEOUT,
        UNIQUE_VALUES
    }
}
