package no.ntnu.cerebrum.medulla.smcgp.graph.action.mathematical;

import no.ntnu.cerebrum.medulla.smcgp.graph.action.Function;

import java.util.stream.DoubleStream;

public class Mean extends Function {

    @Override
    public Object doFunction(double[] inputs, double[] node) {
        double result = DoubleStream.of(inputs).average().getAsDouble();
        if (Double.isNaN(result)) {
            return 0.0;
        }
        return result;
    }
}
